function [ lpccjuntos ] = LPCC2( overlap, ventana, fs,limpia,orden,num )
Lsegmento=length(limpia);
Ltrama= round(fs*ventana);
Ntramas=floor(Lsegmento/Ltrama);
coeficientesf = [1 -0.97];                          %pre-nfasis
enfatizada = filter(coeficientesf ,1 ,limpia);
h=hamming(Ltrama);
lpccjuntos=[];
contador=0;

for i=0: ((Ntramas /overlap)-(1/overlap + 2))
    trama = enfatizada(((Ltrama*i*overlap)+1):(Ltrama*i*overlap)+Ltrama);
    enventanada=h.*trama';
    predictor=lpc(enventanada,orden)';
    %predictor=horzcat(predictor,zeros(1,(num-orden)));
    hlpc2cc = dsp.LPCToCepstral('CepstrumLength',num+1);
    coef = step(hlpc2cc,predictor)';
    predictor2(i+1,:)= predictor';
    a=isnan(coef);
    if sum(a)==num
         lpcc(i+1,:)=zeros(1,num+1);
    else
         lpcc(i+1,:)=coef;
    end
end
for j=1:((Ntramas /overlap)- (1/overlap + 2))
    if sum(lpcc(j,:)) == 0
        lpccjuntos=lpccjuntos;
    else
        contador=contador+1;
        lpccjuntos(contador,:)= lpcc(j,:);
    end
end
end

