function [limpia] = detecciontsonora(x,fs,ventana)

%CLCULO DE LA ENERGA
Lsegmento=length(x);
Ltrama=(fs*ventana);
Ntramas=floor(Lsegmento/Ltrama);
senergia=[];
filtrada=[];
maximoener=0;
x=x/max(abs(x)); %Normalizo
for i=0:(Ntramas-1)
    energia=0;
    trama=x(1+(i*Ltrama):(i+1)*Ltrama);                         %Quito coomponente DC afecta a ZCR
    media=mean(trama);                                          %Quito coomponente DC
    tramamedia=trama-media;                                     %Quito coomponente DC
    B = fir1(26, 75/(fs/2),'high');                            %Quito ruido de baja frecuencia
    pasoalto=filter(B,1,tramamedia);   %filtro paso alto
    ZCR(i+1)=mean(abs(diff(sign(pasoalto))));
    for j=1:Ltrama
    energia=energia + (pasoalto(j)*pasoalto(j));
    end
    senergia(i+1)= energia;
    if energia > maximoener
    maximoener=energia;
    end
    filtrada(1+(i*Ltrama):(i+1)*Ltrama)=pasoalto;
end
umbrale=maximoener/12;
umbralzcr=0.7;

for i=0:(Ntramas-1)
    if senergia(i+1) > umbrale
        if ZCR(i+1) < umbralzcr
        sonora(1+(i*Ltrama):(i+1)*Ltrama)=1;
        else
        sonora(1+(i*Ltrama):(i+1)*Ltrama)=0;  
        end
    else
        sonora(1+(i*Ltrama):(i+1)*Ltrama)=0;
    end
end

[ml nl]=size(sonora);
[mx nx]=size(filtrada);
diferencia=abs(nx-nl);
sonora=horzcat(sonora,zeros(1,diferencia));

limpia=filtrada.* sonora;



end

