function [coefa]=extraccion_LPCC(archivo,orden,num,deteccion_tsonoras,overlap,ventana)
M2=num;
[x,fs,n]=wavread(archivo);                                             %Se lee el archivo de audio .wav a analizar;                                                               %Se define la longitud en segundos de cada trama a analizar.                                                 %Se define la longitud en muestras de cada trama a analizar. 
if deteccion_tsonoras==1
    limpia=x';
elseif deteccion_tsonoras==2
    [limpia] = sonorapitch( x,fs,ventana );   
else
    [limpia] = detecciontsonora(x,fs,ventana);     %Funcin que extrae los segmentos sonoros (vocales) de la seal de audio.
end         
[lpccjuntos]=LPCC2(overlap,ventana,fs,limpia,orden,num);                                                    %Funcin de normalizacin cepstral sobre la media y la varianza                
[lpccjuntnorm] = CMVN2_lpcc(lpccjuntos,M2);                                           %Funcin de normalizacin cepstral sobre la media y la varianza
[delta,ddelta] = DIFMFCC( lpccjuntnorm,M2);                                 %Funcin que extrae los coeficientes de coarticulacin (rasgos dinmicos delta)
[ data ] = vectorcarac( lpccjuntnorm,ddelta,delta,M2);                         %Funcin que ordena todos los coeficientes extraidos para su anlisis en hmm y dtw                                            % Creamos el achivo .Wav del LPC Paramtrico
coefa = data';