function [ limpia ] = sonorapitch( x,fs,ventana )
umbral=0.20;
Lsegmento=length(x);                                            %longitud de la grabacion en muestras
Ltrama=(fs*ventana);                                            %longitud de la trama en muestras
Ntramas=floor(Lsegmento/Ltrama);                                %numero de tramas total                                                         
sonoridad=zeros(1,Ntramas);                                     %inicializo sonoridad
sordo=zeros(1,Ltrama);                                          %defino segmento sordo
ini=0;                                                          %inicializo variables
limpia=[];
senergia=[];
energia=0;
    for i=1:Ntramas
    trama=x(ini+1:ini+Ltrama);
    media=mean(trama);                                          %normalizo, se elimina DC
    mediatotal=trama-media;                                                                 
    for j=1:Ltrama                                              %clculo energia
    energia=energia + (mediatotal(j)*mediatotal(j));
    end
    energia=energia/Ltrama;
    senergia(i)= energia;
    B = fir1(25,(900/(fs/2)));                                   %coeficiente para filtro paso bajo%%%Wn es la frecuencia de corte que queremos aplicar; 
                                                                 %%tiene que estar entre 0 y 1; 1 equivale a la
                                                                 %%mitad de la frecuencia de muestreo (maxima
                                                                 %%frecuencia de la seal) y 0 a 0Hz ; en este
                                                                 %%caso 900/4000
   
    A=(1:Ltrama);                                                                                                      
    A(1,:)=1;
    mediatotal=mediatotal';
    filtro=filter(B,A,mediatotal);                                  %filtro paso bajo
    predictorlineal=lpc(filtro,4);                                  %lpc orden 4
    residuo=filter(predictorlineal,A,filtro);                       %error de prediccion
    autocorrelacion=xcorr(residuo);                                 %autocorrelacion del error
    [amplitud1,posicion1] = max(autocorrelacion);
    ininicial=posicion1 + floor(0.006*fs);
    infinal=posicion1 + floor((ventana-0.002)*fs);
    segundomaximo=autocorrelacion(ininicial:infinal);
    [amplitud2,posicion2] = max(segundomaximo);
    if amplitud2> umbral*amplitud1
        pitch=posicion2 + floor(0.006*fs);
        pitchHz(i)=1/(pitch/fs);
        sonoridad(i)= 1;
        limpia(ini+1:ini+Ltrama)=mediatotal;
    else sonoridad(i)=0;
        pitchHz(i)=0;
        limpia(ini+1:ini+Ltrama)=sordo;
    end
   
    ini=ini+Ltrama;
    
    end
    maxene=max(senergia);
    ini=0;
    for k=1:Ntramas
        if senergia(k)> maxene/20
            limpia(ini+1:ini+Ltrama)=limpia(ini+1:ini+Ltrama);
        else
            limpia(ini+1:ini+Ltrama)=sordo;
        end
         ini=ini+Ltrama;
    end
      
    B = fir1(26, 75/(fs/2),'high');                            %Quito ruido de baja frecuencia
    limpia=filter(B,1,limpia);
end

