function [ ccjuntos] = MFCC(fs,limpia,ventana, overlap,M,M2,K,R,h2m,m2h )
Lsegmento=length(limpia);
Ltrama= round(fs*ventana);
Ntramas=floor(Lsegmento/Ltrama);
coeficientesf = [1 -0.97];                          %pre-nfasis
enfatizada = filter(coeficientesf ,1 ,limpia);
h=hamming(Ltrama);
[H,f,C] = trifbank(M, K, R, fs, h2m, m2h );
contador=0;
ccjuntos=[];

for i=0:(Ntramas /overlap)-(1/overlap + 2)
    trama = enfatizada(((Ltrama*i*overlap)+1):(Ltrama*i*overlap)+Ltrama);
    enventanada=h.*trama';
    magnitud=abs(fft(enventanada,Ltrama,1));
    FBE = H * magnitud(1:K,:);
    FBE2=FBE(1:M2,:);
    logf=log10(FBE2);   
    coeficientes = dct( logf );
    coeficientes=coeficientes';
    cc(i+1,:)=coeficientes;
    a=isnan(coeficientes);
    b=isinf(coeficientes);
    c=a+b;
    if sum(c)==M2
        cc(i+1,:)=0;
    else
             for u=1:M2
                 if coeficientes(u)==0
                     cc(i+1,:)=0;
                 end
             end
    end
end
        
for j=1:((Ntramas /overlap)- (1/overlap + 2))
    if sum(cc(j,:)) == 0
        ccjuntos=ccjuntos;
    else
        contador=contador+1;
        ccjuntos(contador,:)= cc(j,:);
    end
end
end






