function [coefa]=extraccion_MFCC(archivo,M,M2,R,deteccion_tsonoras,overlap,ventana)
[x,fs,n]=wavread(archivo);                                             %Se lee el archivo de audio .wav a analizar;                                                               %Se define la longitud en segundos de cada trama a analizar.
Ltrama= floor(fs*ventana);                                                  %Se define la longitud en muestras de cada trama a analizar.                                                                %Se define el overlap o solapamiento entre tramas.                                                                     %Nmero de coeficientes LPCC
nfft = 2^(nextpow2(Ltrama));                                                %Se define el tamao de anlisis de la fft
K = nfft/2+1;                                                               %Porque el espectro es simtrico, se elimina la mitad                                                              %Intervalo [min max] en Hz en el cual est definido el banco de filtros.
h2m = @( hz )( 1127*log(1+hz/700));                                         %Funcin que convierte de escala lineal a escala Mel.
m2h = @( mel )( 700 * exp(mel/1127)-700 );  
if deteccion_tsonoras==1
    limpia=x';
elseif deteccion_tsonoras==2
    [limpia] = sonorapitch( x,fs,ventana );   
else
    [limpia] = detecciontsonora(x,fs,ventana);     %Funcin que extrae los segmentos sonoros (vocales) de la seal de audio.
end
[ccjuntos] = MFCC(fs, limpia, ventana, overlap ,M,M2,K,R,h2m,m2h);          %Funcin que extrae los coeficientes MFCC.         
[ccjuntnorm] = CMVN2(ccjuntos,M2);                                           %Funcin de normalizacin cepstral sobre la media y la varianza
[delta,ddelta] = DIFMFCC( ccjuntnorm,M2);                                 %Funcin que extrae los coeficientes de coarticulacin (rasgos dinmicos delta)
[ data ] = vectorcarac( ccjuntnorm,ddelta,delta,M2);                         %Funcin que ordena todos los coeficientes extraidos para su anlisis en hmm y dtw                                            % Creamos el achivo .Wav del LPC Paramtrico
coefa = data';
end